<?php


//网站标题
function yzipi_title(){
		global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'yzipi' ), max( $paged, $page ) );
	}

//网站引入css.js
function yzipi_sc() {  
        
		wp_register_script( 'html5shiv', get_template_directory_uri() . '/js/html5shiv.js' );        
        wp_enqueue_script( 'html5shiv' );  
		
		wp_register_script( 'css3-mediaqueries', get_template_directory_uri() . '/js/css3-mediaqueries.js"' );        
        wp_enqueue_script( 'css3-mediaqueries' );  
		
		wp_register_script( 'selectivizr-min', get_template_directory_uri() . '/js/selectivizr-min.js' );        
        wp_enqueue_script( 'selectivizr-min' );  
		
		wp_register_script( 'jquery.1.11.1', get_template_directory_uri() . '/js/jquery.1.11.1.js' );        
        wp_enqueue_script( 'jquery.1.11.1' );  
		
		wp_register_script( 'main', get_template_directory_uri() . '/js/main.js"' );        
        wp_enqueue_script( 'main' );  
		
		
		wp_register_style( 'sytle', get_template_directory_uri() . '/style.css' );  
        wp_enqueue_style( 'sytle' );  
}  

add_action('wp-head', 'yzipi_sc');

//移除wp_head多余函数
remove_action('wp_head','wp_generator' );
remove_action('wp_head','rsd_link' );
remove_action( 'wp_head','wlwmanifest_link');

//定义菜单
function yzipi_menu(){      
    add_menu_page( '柚子皮', '柚子皮', 'edit_themes', 'yzipi_m','display_function','',6);      
}      
//首页关键词和描述设置     
function display_function(){      
     ?>   
    <form method="post" name="yzipi_keyword" id="yzipi_keyword" action="options.php">   
    <h2 class="yzipi_admin_h2">网站首页关键词设置，请用“，”隔开</h2>   
    <p>   
    <label>   
    <input name="yzipi_keywords" size="40" class="yzipi_admin_input" value="<?php echo get_option('yzipi_keywords'); ?>"/>      
    </label>   
    </p>   
    <?php wp_nonce_field('update-options'); ?>   
    <input type="hidden" name="action" value="update" />   
    <input type="hidden" name="page_options" value="yzipi_keywords" />    
     <input type="submit" class="yzipi_admin_submit" name="option_save" value="<?php _e('保存设置'); ?>" />       
    </form>   

     <form method="post" name="yzipi_description" id="yzipi_description" action="options.php">   
    <h2 class="yzipi_admin_h2">网站首页描述设置</h2>   
    <p>   
    <label>   
    <input name="yzipi_descriptions" size="40" class="yzipi_admin_input" value="<?php echo get_option('yzipi_descriptions'); ?>"/>      
    </label>   
    </p>   
    <?php wp_nonce_field('update-options'); ?>   
    <input type="hidden" name="action" value="update" />   
    <input type="hidden" name="page_options" value="yzipi_descriptions" />   
    <input type="submit" class="yzipi_admin_submit" name="option_save"  value="<?php _e('保存设置'); ?>" />     
    </form>   
<?php }     
     
add_action('admin_menu', 'yzipi_menu');   
  
//添加新浪微博子菜单  
add_action('admin_menu', 'weibo_submenu_page');

function weibo_submenu_page() {     
    add_submenu_page( 'yzipi_m', '微博设置', '微博设置', 'edit_themes', 'yzipi_weibo', 'weibo_page_display' );    
}  
function weibo_page_display(){ ?>   
    
     <form method="post" name="yzipi_weibo" id="yzipi_weibo" action="options.php">   
    <h2 class="yzipi_admin_h2">新浪微博设置，请填写网址</h2>   
    <p>   
    <label>   
    <input name="yzipi_weibos" size="40" class="yzipi_admin_input" value="<?php echo get_option('yzipi_weibos'); ?>"/>      
    </label>   
    </p>   
    <?php wp_nonce_field('update-options'); ?>   
    <input type="hidden" name="action" value="update" />   
    <input type="hidden" name="page_options" value="yzipi_weibos" />   
    <input type="submit" class="yzipi_admin_submit" name="option_save"  value="<?php _e('保存设置'); ?>" />     
    </form>   
 <?php }   
 
 
 //添加站长统计子菜单  
add_action('admin_menu', 'tongji_submenu_page');
function tongji_submenu_page() {     
    add_submenu_page( 'yzipi_m', '统计代码', '统计代码', 'edit_themes', 'yzipi_tongji', 'tongji_page_display' );    
}  
function tongji_page_display(){ ?>   
    
     <form method="post" name="yzipi_tongji" id="yzipi_tongji" action="options.php">   
    <h2 class="yzipi_admin_h2">站长统计设置，请填写统计代码</h2>   
    <p>   
    <label>   
    <input name="yzipi_tongjis" size="40" class="yzipi_admin_input" value="<?php echo get_option('yzipi_tongjis'); ?>"/>      
    </label>   
    </p>   
    <?php wp_nonce_field('update-options'); ?>   
    <input type="hidden" name="action" value="update" />   
    <input type="hidden" name="page_options" value="yzipi_tongjis" />   
    <input type="submit" class="yzipi_admin_submit" name="option_save"  value="<?php _e('保存设置'); ?>" />     
    </form>   
       
<?php }

 //添加版本更新  
add_action('admin_menu', 'banben_submenu_page');
function banben_submenu_page() {     
    add_submenu_page( 'yzipi_m', '版本更新', '版本更新', 'edit_themes', 'yzipi_banben', 'banben_page_display' );    
}  
function banben_page_display(){  
    
    echo '<h2>主题更新提示</h2>	
	<p>现在版本：5.61，主题会随时更新，请同学多留意柚子皮动态，获取最新版本</p>
	<a href="http://www.yzipi.com" target="_blank" class="yzipi_admin_a_submit" >点击查看</a>
	';      
}


//后台加载css
function myAdminScripts() {   
    wp_register_style( 'yzipi-admin',  get_template_directory_uri() . '/yzipi-admin.css"'  );  
    wp_enqueue_style( 'yzipi-admin' );  
}  
add_action( 'admin_enqueue_scripts', 'myAdminScripts' );

//自定义导航
register_nav_menus(array(
'top-menu' => __( '顶部菜单' ), 
'bottom-menu'   => __( '底部菜单' ),
'tag-menu' => __( '热门标签' ),
'left-menu' => __( '左侧菜单' ),
)
);

//控制摘要长度
function excerpt_read_more_link($output) {
global $post;
$output = mb_substr($output,0, 205);
return $output ;
}
add_filter('the_excerpt', 'excerpt_read_more_link');

//友情连接
add_filter('pre_option_link_manager_enabled','__return_true'); 
	
//浏览统计
function record_visitors()
{
	if (is_singular())
	{
	  global $post;
	  $post_ID = $post->ID;
	  if($post_ID)
	  {
		  $post_views = (int)get_post_meta($post_ID, 'views', true);
		  if(!update_post_meta($post_ID, 'views', ($post_views+1)))
		  {
			add_post_meta($post_ID, 'views', 1, true);
		  }
	  }
	}
}
add_action('wp_head', 'record_visitors');
 
function post_views($before = '(点击 ', $after = ' 次)', $echo = 1)
{
  global $post;
  $post_ID = $post->ID;
  $views = (int)get_post_meta($post_ID, 'views', true);
  if ($echo) echo $before, number_format($views), $after;
  else return $views;
}

//缩略图
add_theme_support( 'post-thumbnails' ); //激活文章和页面的缩略图功

//头像函数
function get_ssl_avatar($avatar) {
   $avatar = preg_replace('/.*\/avatar\/(.*)\?s=([\d]+)&.*/','<img src="https://secure.gravatar.com/avatar/$1?s=$2" class="avatar avatar-$2" height="$2" width="$2">',$avatar);
   return $avatar;
}
add_filter('get_avatar', 'get_ssl_avatar');

//添加侧边栏工具条
if ( function_exists('register_sidebar') ) {
register_sidebar(array(
        'name'          => '首页',
        'id'            => 'widget_homesidebar',
        'before_widget' => ' <div class="sitebar_list">
      ',
'after_widget' => '</div>',
'before_title' => ' <h4 class="sitebar_title">',
'after_title' => '</h4>',
    ));
	
register_sidebar(array(
        'name'          => '文章',
        'id'            => 'widget_singlesidebar',
        'before_widget' => ' <div class="sitebar_list">
      ',
'after_widget' => '</div>',
'before_title' => ' <h4 class="sitebar_title">',
'after_title' => '</h4>',
    ));

register_sidebar(array(
        'name'          => '栏目',
        'id'            => 'widget_categorysidebar',
        'before_widget' => ' <div class="sitebar_list">
      ',
'after_widget' => '</div>',
'before_title' => ' <h4 class="sitebar_title">',
'after_title' => '</h4>',
    )); 
	 
register_sidebar(array(
        'name'          => '页面',
        'id'            => 'widget_pagesidebar',
        'before_widget' => ' <div class="sitebar_list">
      ',
'after_widget' => '</div>',
'before_title' => ' <h4 class="sitebar_title">',
'after_title' => '</h4>',
    )); 

}

//删除没用的小工具
function unregister_rss_widget(){ 
unregister_widget('WP_Widget_RSS'); 
} 
add_action('widgets_init','unregister_rss_widget'); 

function unregister_Search_widget(){ 
unregister_widget('WP_Widget_Search'); 
} 
add_action('widgets_init','unregister_Search_widget'); 

function unregister_Recent_Comments(){ 
unregister_widget('WP_Widget_Recent_Comments'); 
} 
add_action('widgets_init','unregister_Recent_Comments'); 

function unregister_Widget_Calendar(){ 
unregister_widget('WP_Widget_Calendar'); 
} 
add_action('widgets_init','unregister_Widget_Calendar');

//分页工具
function yzipi_pagenavi( $p = 2 ) {
if ( is_singular() ) return;
global $wp_query, $paged;
$max_page = $wp_query->max_num_pages;
if ( $max_page == 1 ) return;
if ( empty( $paged ) ) $paged = 1;
echo '<span class="page-numbers">' . $paged . ' / ' . $max_page . ' </span> ';
if ( $paged > 1 ) p_link( $paged - 1, '上一页', '上一页' );
if ( $paged > $p + 1 ) p_link( 1, '最前页' );
if ( $paged > $p + 2 ) echo '<span class="page-numbers">...</span>';
for( $i = $paged - $p; $i <= $paged + $p; $i++ ) {
if ( $i > 0 && $i <= $max_page ) $i == $paged ? print "<span class='page-numbers current'>{$i}</span> " : p_link( $i );
}
if ( $paged < $max_page - $p - 1 ) echo '<span class="page-numbers">...</span>';
if ( $paged < $max_page - $p ) p_link( $max_page, '最末页' );
if ( $paged < $max_page ) p_link( $paged + 1,'下一页', '下一页' );
}
function p_link( $i, $title = '', $linktype = '' ) {
if ( $title == '' ) $title = "第 {$i} 页";
if ( $linktype == '' ) { $linktext = $i; } else { $linktext = $linktype; }
echo "<a class='page-numbers' href='", esc_html( get_pagenum_link( $i ) ), "' title='{$title}'>{$linktext}</a> ";
}

//手机分页工具
function yzipi_paging_nav() {
	global $wp_query;
	if ( $wp_query->max_num_pages < 2 )
		return;
	?>
	<nav class="navigation">
	  <?php if ( get_next_posts_link() ) : ?>
	  <div class="nav-previous"><?php next_posts_link( __( '下一页', 'yzipitheme' ) ); ?></div>
			<?php endif; ?>

			<?php if ( get_previous_posts_link() ) : ?>
			<div class="nav-next"><?php previous_posts_link( __( '上一页', 'yzipitheme' ) ); ?></div>
			<?php endif; ?>
	</nav><!-- .navigation -->
	<?php
}

//关健词高亮
function search_word_replace($buffer){
    if(is_search()){
        $arr = explode(" ", get_search_query());
        $arr = array_unique($arr);
        foreach($arr as $v)
            if($v)
                $buffer = preg_replace("/(".$v.")/i", "<em>$1</em>", $buffer);
    }
    return $buffer;
}

//修改后台登录logo和连接
function custom_loginlogo() {
echo '<style type="text/css">
h1 a {background-image: url('.get_bloginfo('template_directory').'/images/w-logo-blue.png) !important; }
</style>';
}
add_action('login_head', 'custom_loginlogo');

function custom_loginlogo_url($url) {
    return 'www.yzipi.com';
}
add_filter( 'login_headerurl', 'custom_loginlogo_url' );

//评论
function cleanr_theme_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   <li id="comment-<?php comment_ID() ?>">
			 <span><a href="<?php comment_author_url() ?>" class="avatar" target="_blank">
				<?php echo get_avatar($comment,$size='43',$default='<path_to_url>' ); ?>
			</a></span>
			<div class="mhcc">
				<address>
					<?php printf(__('%s'), get_comment_author_link()) ?> - 
						<?php echo get_comment_date();?>
				</address>			
			<?php if ($comment->comment_approved == '0') : ?>
         			<p><?php _e('评论等待审核中！') ?></p>
      		<?php endif; ?>
				<?php comment_text() ?>
			</div>
		</li>
        
<?php }

 ?>
