<?php 
	//setting and data
	global $current_user;
	$DXC_options = get_option( 'DX-Contribute-options' );
?>
<link rel="stylesheet" media="all" type="text/css" href="<?php echo plugins_url( 'style.css', __FILE__ ); ?>" />
<?php if( $DXC_options['css'] ) echo '<style type="text/css">'.stripslashes( $DXC_options['css'] ).'</style>'; ?>

<div id="DX-Contribute">

	<p>
		<label for="DXC-title">标题：</label>
		<input name="DXC-title" id="DXC-title" class="DXC-input" /><?php echo $asterisk; ?>
		<span id="DXC-title-num">可输入<b><?php echo $DXC_options['title-num']; ?></b>字</span>
	</p>
	
	<p>
		<label for="DXC-user">昵称：</label>
		<input name="DXC-user" id="DXC-user" class="DXC-input" maxlength="40" value="<?php echo $current_user->display_name; ?>" />
	</p>	
	
	<p>
		<label for="DXC-email">邮箱：</label>
		<input name="DXC-email" id="DXC-email" class="DXC-input" maxlength="40" value="<?php echo $current_user->user_email; ?>" />
	</p>
	
	<?php if( $DXC_options['select-cat']=='on' ): ?>
	<p>
		<label for="DXC-cat">分类：</label>
		<?php 
			$args = array(
				'hide_empty' => false,
				'hierarchical' => true,
				'selected' => $DXC_options['category'],
				'id' => 'DXC-cat',
				'name' => 'DXC-cat',
				'exclude' => $DXC_options['exclude-cat']
			);
			wp_dropdown_categories( $args ); 
		?>
	</p>
	<?php endif; ?>	
       <div class="edito">
		<?php
			$content = '';
			$editor_id = 'DXC-content';
			$settings = array(
				'textarea_rows' => $DXC_options[ 'textarea-rows' ]
			);
			wp_editor( $content, $editor_id, $settings );
		?>
        </div>
		<div class="DXC-content-num">字数不能超过:<b><?php echo $DXC_options['textarea-num']; ?></b></div>
	
		<input name="DXC-submit" id="DXC-submit" type="button" value="提交"/>
        
	<div style="display:none;color:green;font-style:italic;font-size:14px;font-weight:bold;" id="DXC-loading"></div>
	
	<input type="hidden" name="blog-url" id="blog-url" value="<?php bloginfo('url'); ?>"/>
	<input type="hidden" name="success-message" id="success-message" value="<?php echo $DXC_options[ 'success' ]; ?>"/>

</div>

<script type="text/javascript" src="<?php echo plugins_url( 'contribute.js', __FILE__ ); ?>"></script>